=== checker/tests/command-line/issue618/Makefile ===
.PHONY: all

all:
	$(JAVAC) -processor regex,org.checkerframework.checker.tainting.TaintingChecker TwoCheckers.java > out.txt 2>&1 || true
	diff -u expected.txt out.txt
