=== debian/changelog ===
checker-framework-java (3.0.1+ds2-3) unstable; urgency=medium

  * Update standards to 4.5.1 (no changes)
  * Declare Multi-Arch: foreign

 -- Olek Wojnar <olek@debian.org>  Fri, 22 Jan 2021 13:33:33 -0500

checker-framework-java (3.0.1+ds2-2) unstable; urgency=high

  * Temporarily eliminate build of Android artifact
    - Will re-introduce once Kotlin allows build of Android dependencies

 -- Olek Wojnar <olek@debian.org>  Mon, 02 Nov 2020 14:45:01 -0500

checker-framework-java (3.0.1+ds2-1) unstable; urgency=medium

  * Remove additional problematic source file

 -- Olek Wojnar <olek@debian.org>  Sun, 25 Oct 2020 21:05:33 -0400

checker-framework-java (3.0.1+ds1-1) unstable; urgency=medium

  * Correct additional licensing concerns identified by FTP Team

 -- Olek Wojnar <olek@debian.org>  Thu, 22 Oct 2020 14:17:16 -0400

checker-framework-java (3.0.1+ds-1) unstable; urgency=medium

  * Initial release (Closes: #959832)
  * Provide additional information about authors
  * Restore Gradle build system
  * Backport license clarifications from upstream in d/copyright
    - https://github.com/typetools/checker-framework/issues/3429

 -- Olek Wojnar <olek@debian.org>  Wed, 15 Jul 2020 16:06:07 -0400
