=== debian/control ===
Source: checker-framework-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: Olek Wojnar <olek@debian.org>,
           Andreas Tille <tille@debian.org>,
Build-Depends: bnd,
               debhelper-compat (= 13),
               default-jdk,
               gradle-apt-plugin,
               gradle-debian-helper,
               libgradle-core-java,
               libgradle-plugins-java,
               maven-repo-helper,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/typetools/checker-framework
Vcs-Browser: https://salsa.debian.org/java-team/checker-framework-java
Vcs-Git: https://salsa.debian.org/java-team/checker-framework-java.git

Package: libchecker-framework-java
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Framework that makes Java’s type system more powerful and useful
 A "checker" is a tool that warns you about certain errors or gives you a
 guarantee that those errors do not occur. The Checker Framework comes with
 checkers for 24 specific types of errors.
