=== debian/watch ===
version=4

# PGP signature mangle, so foo.tar.gz has foo.tar.gz.sig
#opts="pgpsigurlmangle=s%$%.sig%"

opts="repack, repacksuffix=+ds, dversionmangle=s/\+ds\d*$//" \
   https://github.com/typetools/checker-framework/releases?after=checker-framework-3.7.0 \
   .*/checker-framework-(\d[\d.]*)\.tar\.gz debian uupdate
