## checker-framework-java 3.2.0+ds

=== docs/manual/Makefile ===
--- 
+++ 
@@ -46,12 +46,12 @@
 figures-all:
 	${MAKE} -C figures all
 
-manual.pdf: bib-update figures-all check-labels
+manual.pdf: ${TEX_FILES} bib-update figures-all check-labels
 	latexmk -silent -pdf -interaction=nonstopmode manual.tex || latexmk -gg -pdf -interaction=nonstopmode manual.tex
 
 html: manual.html
 manual.html: manual.pdf CFLogo.png favicon-checkerframework.png ../api
-	hevea -fix -exec xxdate.exe manual.tex
+	hevea -fix svg.hva -exec xxdate.exe manual.tex
 # I'm not sure why this is necessary; "hevea -fix" should run it automatically.
 # Also, you need ImageMagick 6.8.0-2 Beta or later to avoid a bug.
 	imagen manual
