=== framework/tests/annotationclassloader/Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 	  -classpath $(PROJECTDIR):${CHECKERQUALBUILD} \
 	  -processor org.checkerframework.common.aliasing.AliasingChecker \
 	  -Anomsgtext \
-	  -Anocheckjdk \
+	  -ApermitMissingJdk \
 	  -Astubs=$(PROJECTDIR)/../aliasing/stubfile.astub \
 	  LoaderTest.java
 
@@ -48,7 +48,7 @@
 	  -classpath $(PROJECTDIR):${CHECKERQUALJAR} \
 	  -processor org.checkerframework.common.aliasing.AliasingChecker \
 	  -Anomsgtext \
-	  -Anocheckjdk \
+	  -ApermitMissingJdk \
 	  -Astubs=$(PROJECTDIR)/../aliasing/stubfile.astub \
 	  LoaderTest.java
 
@@ -62,7 +62,7 @@
 	  -processor org.checkerframework.common.aliasing.AliasingChecker \
 	  -Anomsgtext \
 	  -Astubs=$(PROJECTDIR)/../aliasing/stubfile.astub \
-	  -Anocheckjdk \
+	  -ApermitMissingJdk \
 	  LoaderTest.java > Out.txt 2>&1 || true
 	diff -u Expected.txt Out.txt -I 'Note'
 	rm -f Out.txt
@@ -74,7 +74,7 @@
 	  -classpath $(PROJECTDIR):${CHECKERQUALJAR} \
 	  -processor org.checkerframework.common.aliasing.AliasingChecker \
 	  -Anomsgtext \
-	  -Anocheckjdk \
+	  -ApermitMissingJdk \
 	  -Astubs=$(PROJECTDIR)/../aliasing/stubfile.astub \
 	  LoaderTest.java > Out.txt 2>&1 || true
 	diff -u Expected.txt Out.txt
