=== debian/changelog ===
checker-framework-java (3.2.0+ds-3) unstable; urgency=medium

  * Team upload
  [ Pushkar Kulkarni ]
  * Fix javac-21 compiler warnings (Closes: #1052474)

  [ tony mancill ]
  * Fix FTBFS twice in a row (Closes: #1043754)

 -- tony mancill <tmancill@debian.org>  Wed, 08 Nov 2023 21:12:11 -0800

checker-framework-java (3.2.0+ds-2) unstable; urgency=medium

  * Build dataflow and javacutil modules
    - New build-dependency on libplume-util-java
    - Added deprecated-getexpression.patch due to older Java code
  * Reenable building of checker-qual-android module

 -- Olek Wojnar <olek@debian.org>  Fri, 14 Apr 2023 16:13:02 -0400

checker-framework-java (3.2.0+ds-1) unstable; urgency=medium

  * New upstream release (Closes: #1021632)
    - Refresh patches
  * Refresh packaging
    - Update d/watch
    - Update standards to 4.6.2 (no changes)
    - Disable Salsa BLHC due to incorrect non-verbose build error

 -- Olek Wojnar <olek@debian.org>  Tue, 03 Jan 2023 10:09:25 -0500

checker-framework-java (3.0.1+ds2-4) unstable; urgency=medium

  * Fix watch file
  * debian/copyright: use spaces rather than tabs to start continuation lines.
  * Set upstream metadata fields: Bug-Submit.
  * Update standards version to 4.6.1, no changes needed.
  * Add debian/salsa-ci.yml
  * Homepage is not in the list of fields for upstream metadata

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 19:32:17 +0100
