=== debian/control ===
--- 
+++ 
@@ -2,17 +2,20 @@
 Section: java
 Priority: optional
 Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
-Uploaders: Olek Wojnar <olek@debian.org>,
-           Andreas Tille <tille@debian.org>,
-Build-Depends: bnd,
-               debhelper-compat (= 13),
-               default-jdk,
-               gradle-apt-plugin,
-               gradle-debian-helper,
-               libgradle-core-java,
-               libgradle-plugins-java,
-               maven-repo-helper,
-Standards-Version: 4.5.1
+Uploaders:
+ Olek Wojnar <olek@debian.org>,
+ Andreas Tille <tille@debian.org>,
+Build-Depends:
+ bnd,
+ debhelper-compat (= 13),
+ default-jdk,
+ gradle-apt-plugin,
+ gradle-debian-helper,
+ libgradle-core-java,
+ libgradle-plugins-java,
+ libplume-util-java,
+ maven-repo-helper,
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/typetools/checker-framework
 Vcs-Browser: https://salsa.debian.org/java-team/checker-framework-java
