=== debian/rules ===
--- 
+++ 
@@ -10,4 +10,8 @@
 %:
 	dh $@ --buildsystem=gradle --with maven_repo_helper
 
+override_dh_auto_clean:
+	rm -rf checker-qual/src checker-qual-android/src
+	dh_auto_clean
+
 override_dh_auto_test:
