=== debian/watch ===
version=4

opts="repack, repacksuffix=+ds, dversionmangle=auto" \
 https://github.com/typetools/checker-framework/tags?after=checker-framework-3.7.1 \
 .*/checker-framework-(\d[\d.]*)\.tar\.gz
